import type { NextPage } from "next";
import Head from "next/head";
import { FormPswReset } from "~/forms/FormNewPswReset";
import { useTranslation } from "~/providers/I18nProvider";

/**
 * Pagina di reset password: /auth/new-password-reset
 */
const NewPasswordResetPage: NextPage = () => {
	const { t } = useTranslation();

	return (
		<>
			<Head>
				<title>{t.heads.login_titolo}</title>
				<meta content={t.heads.login_description} name="description" />
			</Head>
			<main className="flex h-full w-full flex-col items-center justify-center px-4">
				<div className="w-full max-w-md py-28 text-gray-600 md:py-44">
					<FormPswReset />
				</div>
			</main>
		</>
	);
};
export async function getServerSideProps() {
	return {
		props: {},
	};
}
export default NewPasswordResetPage;
